Redis - Package Upgrade Issues

Reply
L1 Bithead

Redis - Package Upgrade Issues

I've been trying to upgrade my Ubuntu instance for the past few months, but keep having to install all package updates manually as redis-server and redis-tools fail as it can't overwrite the minemeld redis config. After updating the packages, we are unable to login to minemeld as nginx throws a 502 error. Is anyone else having this issue? If so, were you able to fix it?

 

minemeld@na-mm-01:~$ sudo apt list --upgradeable
Listing... Done
redis-server/xenial-updates,xenial-security 2:3.0.6-1ubuntu0.4 amd64 [upgradable from: 2:3.0.6-1ubuntu0.3]
redis-tools/xenial-updates,xenial-security 2:3.0.6-1ubuntu0.4 amd64 [upgradable from: 2:3.0.6-1ubuntu0.3]
minemeld@na-mm-01:~$ sudo apt upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
redis-server redis-tools
2 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 440 kB of archives.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://us.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 redis-server amd64 2:3.0.6-1ubuntu0.4 [344 kB]
Get:2 http://us.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 redis-tools amd64 2:3.0.6-1ubuntu0.4 [95.5 kB]
Fetched 440 kB in 0s (960 kB/s)
(Reading database ... 94560 files and directories currently installed.)
Preparing to unpack .../redis-server_2%3a3.0.6-1ubuntu0.4_amd64.deb ...
Unpacking redis-server (2:3.0.6-1ubuntu0.4) over (2:3.0.6-1ubuntu0.3) ...
dpkg: error processing archive /var/cache/apt/archives/redis-server_2%3a3.0.6-1ubuntu0.4_amd64.deb (--unpack):
trying to overwrite '/etc/redis/redis.conf', which is also in package minemeld 0.9.12-3build2
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Preparing to unpack .../redis-tools_2%3a3.0.6-1ubuntu0.4_amd64.deb ...
Unpacking redis-tools (2:3.0.6-1ubuntu0.4) over (2:3.0.6-1ubuntu0.3) ...
Processing triggers for man-db (2.7.5-1) ...
Errors were encountered while processing:
/var/cache/apt/archives/redis-server_2%3a3.0.6-1ubuntu0.4_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
 

L1 Bithead

Re: Redis - Package Upgrade Issues

May not answer the question as I haven't been able to use the apt commands to clean or force.

I am now replying on /usr/sbin/minemeld-auto-update to update it all and ensure there aren't version conflict.

L1 Bithead

Re: Redis - Package Upgrade Issues

Have you tried downloading the package manually and doing a force install ?

 

force installation of package:

sudo dpkg -i --force-all redis-server_3.0.6-1ubuntu0.4_amd64.deb

then resume with:

sudo apt-get install -f

L1 Bithead

Re: Redis - Package Upgrade Issues

I have, but the redis still breaks as it can't overwrite the redis config. Did that work for you?

L1 Bithead

Re: Redis - Package Upgrade Issues

 

 

Replace --force-all   with --force-overwrite

 

sudo dpkg -i --force-overwrite redis-server_3.0.6-1ubuntu0.4_amd64.deb

 

I will try to recreate on my server

 

 

Like what you see?

Show your appreciation!

Click Like if a post is helpful to you or if you just want to show your support.

Click Accept as Solution to acknowledge that the answer to your question has been provided.

The button appears next to the replies on topics you’ve started. The member who gave the solution and all future visitors to this topic will appreciate it!

These simple actions take just seconds of your time, but go a long way in showing appreciation for community members and the Live Community as a whole!

The Live Community thanks you for your participation!